Method: projects.locations.domains.getSchema

Retrieves the schema for the specified topology domain. The schema defines the NodeTypes and EdgeTypes that are supported in GenerateDiscoveredResourcesTopology requests and responses for a given domain.

HTTP request

GET https://apptopology.googleapis.com/v1/{name=projects/*/locations/*/domains/*/schema}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the singleton domain schema resource. Format: projects/{project}/locations/{location}/domains/{domain}/schema

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Schema.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/apptopology.read-write
  • https://www.googleapis.com/auth/apptopology.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • apptopology.schemas.get

For more information, see the IAM documentation.